You are running an old version of GRAMPS.

Please upgrade to version 2.2.10, you find link to a Debian package on http://www.gramps-project.org/wiki/index.php?title=Installation#Upgrading_to_the_latest_version

Note that 3.0.0 is also released (in sid), but that is a .0 release, so do take a backup first if you go that route. No major bugs found yet though.

Benny

2008/3/25, Knut og Jorunn Jensen <kjense@c2i.net>:
"User Information: ===================Error Details:
===================342798: ERROR: __init__.py: line 1072: Unhandled
exceptionTraceback (most recent call last): File
"/usr/share/gramps/DataViews/_EventView.py", line 220, in remove
_('_Delete Event'),ans.query_response) File
"/usr/share/gramps/QuestionDialog.py", line 103, in __init__ task() File
"/usr/share/gramps/Editors/_EditEventRef.py", line 260, in
query_response person.remove_handle_references('Event',ev_handle_list)
File "/usr/share/gramps/RelLib/_PrimaryObject.py", line 183, in
remove_handle_references
self._remove_handle_references(classname,handle_list) File
"/usr/share/gramps/RelLib/_Person.py", line 230, in
_remove_handle_references if (self.death_ref_index != -1) \IndexError:
list index out of range539829: ERROR: __init__.py: line 1072: Unhandled
exceptionTraceback (most recent call last): File
"/usr/share/gramps/DataViews/_EventView.py", line 220, in remove
_('_Delete Event'),ans.query_response) File
"/usr/share/gramps/QuestionDialog.py", line 103, in __init__ task() File
"/usr/share/gramps/Editors/_EditEventRef.py", line 260, in
query_response person.remove_handle_references('Event',ev_handle_list)
File "/usr/share/gramps/RelLib/_PrimaryObject.py", line 183, in
remove_handle_references
self._remove_handle_references(classname,handle_list) File
"/usr/share/gramps/RelLib/_Person.py", line 230, in
_remove_handle_references if (self.death_ref_index != -1) \IndexError:
list index out of range567446: ERROR: __init__.py: line 1072: Unhandled
exceptionTraceback (most recent call last): File
"/usr/share/gramps/DataViews/_EventView.py", line 220, in remove
_('_Delete Event'),ans.query_response) File
"/usr/share/gramps/QuestionDialog.py", line 103, in __init__ task() File
"/usr/share/gramps/Editors/_EditEventRef.py", line 260, in
query_response person.remove_handle_references('Event',ev_handle_list)
File "/usr/share/gramps/RelLib/_PrimaryObject.py", line 183, in
remove_handle_references
self._remove_handle_references(classname,handle_list) File
"/usr/share/gramps/RelLib/_Person.py", line 230, in
_remove_handle_references if (self.death_ref_index != -1) \IndexError:
list index out of range689299: ERROR: __init__.py: line 1072: Unhandled
exceptionTraceback (most recent call last): File
"/usr/share/gramps/DataViews/_EventView.py", line 220, in remove
_('_Delete Event'),ans.query_response) File
"/usr/share/gramps/QuestionDialog.py", line 103, in __init__ task() File
"/usr/share/gramps/Editors/_EditEventRef.py", line 260, in
query_response person.remove_handle_references('Event',ev_handle_list)
File "/usr/share/gramps/RelLib/_PrimaryObject.py", line 183, in
remove_handle_references
self._remove_handle_references(classname,handle_list) File
"/usr/share/gramps/RelLib/_Person.py", line 230, in
_remove_handle_references if (self.death_ref_index != -1) \IndexError:
list index out of range1016498: ERROR: __init__.py: line 1072: Unhandled
exceptionTraceback (most recent call last): File
"/usr/share/gramps/DataViews/_EventView.py", line 220, in remove
_('_Delete Event'),ans.query_response) File
"/usr/share/gramps/QuestionDialog.py", line 103, in __init__ task() File
"/usr/share/gramps/Editors/_EditEventRef.py", line 260, in
query_response person.remove_handle_references('Event',ev_handle_list)
File "/usr/share/gramps/RelLib/_PrimaryObject.py", line 183, in
remove_handle_references
self._remove_handle_references(classname,handle_list) File
"/usr/share/gramps/RelLib/_Person.py", line 230, in
_remove_handle_references if (self.death_ref_index != -1) \IndexError:
list index out of rangeSystem Information: ===================Python
version: 2.4.4 (#2, Apr 5 2007, 20:11:18) [GCC 4.1.2 20061115
(prerelease) (Debian 4.1.1-21)] BSDDB version: 4.3.0.3 Gramps version:
2.2.3-1 LANG: nb_NO.UTF-8OS: LinuxDistribution: 2.6.18-6-686"

-------------------------------------------------------------------------
Check out the new SourceForge.net Marketplace.
It's the best place to buy or sell services for
just about anything Open Source.
http://ad.doubleclick.net/clk;164216239;13503038;w?http://sf.net/marketplace
_______________________________________________
Gramps-bugs mailing list
Gramps-bugs@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gramps-bugs